<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DFIN XBRL Instance Document - http://www.dfinsolutions.com/ - Version R3.0 - on 08-November-2022 [02:24:13] {PM}-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#CondensedConsolidatedBalanceSheets" roleURI="http://www.iroquoisfed.com/role/CondensedConsolidatedBalanceSheets" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#CondensedConsolidatedStatementsOfIncome" roleURI="http://www.iroquoisfed.com/role/CondensedConsolidatedStatementsOfIncome" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#CondensedConsolidatedStatementsOfComprehensiveIncomeLoss" roleURI="http://www.iroquoisfed.com/role/CondensedConsolidatedStatementsOfComprehensiveIncomeLoss" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#CondensedConsolidatedStatementsOfCashFlows" roleURI="http://www.iroquoisfed.com/role/CondensedConsolidatedStatementsOfCashFlows" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#StockBasedCompensationSummaryOfEsopSharesDetail" roleURI="http://www.iroquoisfed.com/role/StockBasedCompensationSummaryOfEsopSharesDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#EarningsPerCommonShareEpsFactorsUsedInEarningsPerCommonShareComputationDetail" roleURI="http://www.iroquoisfed.com/role/EarningsPerCommonShareEpsFactorsUsedInEarningsPerCommonShareComputationDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#SecuritiesAmortizedCostAndFairValueOfAvailableForSaleSecuritiesByContractualMaturityDetail" roleURI="http://www.iroquoisfed.com/role/SecuritiesAmortizedCostAndFairValueOfAvailableForSaleSecuritiesByContractualMaturityDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#SecuritiesAssociationsInvestmentsGrossUnrealizedInvestmentLossesAndFairValueOfAssociationsInvestmentsWithUnrealizedLossesDetail" roleURI="http://www.iroquoisfed.com/role/SecuritiesAssociationsInvestmentsGrossUnrealizedInvestmentLossesAndFairValueOfAssociationsInvestmentsWithUnrealizedLossesDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#LoansAndAllowanceForCreditLossesCreditRiskProfileOfAssociationsLoanPortfolioBasedOnRiskRatingCategoryAndYearOfOriginationDetail" roleURI="http://www.iroquoisfed.com/role/LoansAndAllowanceForCreditLossesCreditRiskProfileOfAssociationsLoanPortfolioBasedOnRiskRatingCategoryAndYearOfOriginationDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#LoansAndAllowanceForCreditLossesAssociationsLoanPortfolioAgingAnalysisDetail" roleURI="http://www.iroquoisfed.com/role/LoansAndAllowanceForCreditLossesAssociationsLoanPortfolioAgingAnalysisDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#ChangesInAccumulatedOtherComprehensiveIncomeAociByComponentAmountsReclassifiedFromAccumulatedOtherComprehensiveIncomeDetail" roleURI="http://www.iroquoisfed.com/role/ChangesInAccumulatedOtherComprehensiveIncomeAociByComponentAmountsReclassifiedFromAccumulatedOtherComprehensiveIncomeDetail" />
<roleRef xlink:type="simple" xlink:href="iroq-20220930.xsd#IncomeTaxesReconciliationOfIncomeTaxExpenseAtTheStatutoryRateDetail" roleURI="http://www.iroquoisfed.com/role/IncomeTaxesReconciliationOfIncomeTaxExpenseAtTheStatutoryRateDetail" />
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/CondensedConsolidatedBalanceSheets">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Assets" xlink:label="loc_us-gaap_Assets" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashAndDueFromBanks" xlink:label="loc_us-gaap_CashAndDueFromBanks" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:to="loc_us-gaap_CashAndDueFromBanks" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestBearingDepositsInBanks" xlink:label="loc_us-gaap_InterestBearingDepositsInBanks" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:to="loc_us-gaap_InterestBearingDepositsInBanks" use="optional" order="3" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_InterestBearingTimeDepositsInBanks" xlink:label="loc_IROQ_InterestBearingTimeDepositsInBanks" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_IROQ_InterestBearingTimeDepositsInBanks" use="optional" order="4" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtSecurities" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtSecurities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtSecurities" use="optional" order="5" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LoansAndLeasesReceivableNetReportedAmount" xlink:label="loc_us-gaap_LoansAndLeasesReceivableNetReportedAmount" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_LoansAndLeasesReceivableNetReportedAmount" use="optional" order="6" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PropertyPlantAndEquipmentNet" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet" use="optional" order="7" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FederalHomeLoanBankStock" xlink:label="loc_us-gaap_FederalHomeLoanBankStock" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_FederalHomeLoanBankStock" use="optional" order="8" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateAcquiredThroughForeclosure" xlink:label="loc_us-gaap_RealEstateAcquiredThroughForeclosure" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_RealEstateAcquiredThroughForeclosure" use="optional" order="9" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestReceivable" xlink:label="loc_us-gaap_InterestReceivable" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_InterestReceivable" use="optional" order="10" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_BankOwnedLifeInsurance" xlink:label="loc_us-gaap_BankOwnedLifeInsurance" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_BankOwnedLifeInsurance" use="optional" order="11" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ServicingAssetAtFairValueAmount" xlink:label="loc_us-gaap_ServicingAssetAtFairValueAmount" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_ServicingAssetAtFairValueAmount" use="optional" order="12" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredIncomeTaxAssetsNet" xlink:label="loc_us-gaap_DeferredIncomeTaxAssetsNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_DeferredIncomeTaxAssetsNet" use="optional" order="13" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherAssets" xlink:label="loc_us-gaap_OtherAssets" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets" xlink:to="loc_us-gaap_OtherAssets" use="optional" order="14" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/CondensedConsolidatedBalanceSheets">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquity" xlink:label="loc_us-gaap_StockholdersEquity" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="loc_us-gaap_StockholdersEquity" use="optional" order="15" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommonStockValue" xlink:label="loc_us-gaap_CommonStockValue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity" xlink:to="loc_us-gaap_CommonStockValue" use="optional" order="16" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdditionalPaidInCapitalCommonStock" xlink:label="loc_us-gaap_AdditionalPaidInCapitalCommonStock" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity" xlink:to="loc_us-gaap_AdditionalPaidInCapitalCommonStock" use="optional" order="17" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_UnearnedESOPShares" xlink:label="loc_us-gaap_UnearnedESOPShares" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity" xlink:to="loc_us-gaap_UnearnedESOPShares" use="optional" order="18" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit" use="optional" order="19" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" use="optional" order="20" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Liabilities" xlink:label="loc_us-gaap_Liabilities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="loc_us-gaap_Liabilities" use="optional" order="21" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Deposits" xlink:label="loc_us-gaap_Deposits" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_Deposits" use="optional" order="22" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DemandDepositAccounts" xlink:label="loc_us-gaap_DemandDepositAccounts" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Deposits" xlink:to="loc_us-gaap_DemandDepositAccounts" use="optional" order="23" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_DepositsSavingsNegotiableOrderOfWithdrawalNowAndMoneyMarketDeposits" xlink:label="loc_IROQ_DepositsSavingsNegotiableOrderOfWithdrawalNowAndMoneyMarketDeposits" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Deposits" xlink:to="loc_IROQ_DepositsSavingsNegotiableOrderOfWithdrawalNowAndMoneyMarketDeposits" use="optional" order="24" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestBearingDomesticDepositCertificatesOfDeposits" xlink:label="loc_us-gaap_InterestBearingDomesticDepositCertificatesOfDeposits" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Deposits" xlink:to="loc_us-gaap_InterestBearingDomesticDepositCertificatesOfDeposits" use="optional" order="25" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_BrokeredCertificatesOfDeposit" xlink:label="loc_IROQ_BrokeredCertificatesOfDeposit" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Deposits" xlink:to="loc_IROQ_BrokeredCertificatesOfDeposit" use="optional" order="26" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_SecuredDebtRepurchaseAgreements" xlink:label="loc_us-gaap_SecuredDebtRepurchaseAgreements" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_SecuredDebtRepurchaseAgreements" use="optional" order="27" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdvancesFromFederalHomeLoanBanks" xlink:label="loc_us-gaap_AdvancesFromFederalHomeLoanBanks" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_AdvancesFromFederalHomeLoanBanks" use="optional" order="28" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdvancePaymentsByBorrowersForTaxesAndInsurance" xlink:label="loc_us-gaap_AdvancePaymentsByBorrowersForTaxesAndInsurance" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_AdvancePaymentsByBorrowersForTaxesAndInsurance" use="optional" order="29" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherPostretirementDefinedBenefitPlanLiabilitiesCurrentAndNoncurrent" xlink:label="loc_us-gaap_OtherPostretirementDefinedBenefitPlanLiabilitiesCurrentAndNoncurrent" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_OtherPostretirementDefinedBenefitPlanLiabilitiesCurrentAndNoncurrent" use="optional" order="30" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestPayableCurrentAndNoncurrent" xlink:label="loc_us-gaap_InterestPayableCurrentAndNoncurrent" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_InterestPayableCurrentAndNoncurrent" use="optional" order="31" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherLiabilities" xlink:label="loc_us-gaap_OtherLiabilities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_OtherLiabilities" use="optional" order="32" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OffBalanceSheetCreditLossLiability" xlink:label="loc_us-gaap_OffBalanceSheetCreditLossLiability" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities" xlink:to="loc_us-gaap_OffBalanceSheetCreditLossLiability" use="optional" order="33" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/CondensedConsolidatedStatementsOfIncome">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaap_NetIncomeLoss" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestIncomeExpenseAfterProvisionForLoanLoss" xlink:label="loc_us-gaap_InterestIncomeExpenseAfterProvisionForLoanLoss" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="loc_us-gaap_InterestIncomeExpenseAfterProvisionForLoanLoss" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProvisionForLoanAndLeaseLosses" xlink:label="loc_us-gaap_ProvisionForLoanAndLeaseLosses" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestIncomeExpenseAfterProvisionForLoanLoss" xlink:to="loc_us-gaap_ProvisionForLoanAndLeaseLosses" use="optional" order="3" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestIncomeExpenseNet" xlink:label="loc_us-gaap_InterestIncomeExpenseNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestIncomeExpenseAfterProvisionForLoanLoss" xlink:to="loc_us-gaap_InterestIncomeExpenseNet" use="optional" order="4" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestAndDividendIncomeOperating" xlink:label="loc_us-gaap_InterestAndDividendIncomeOperating" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestIncomeExpenseNet" xlink:to="loc_us-gaap_InterestAndDividendIncomeOperating" use="optional" order="5" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestAndFeeIncomeLoansAndLeases" xlink:label="loc_us-gaap_InterestAndFeeIncomeLoansAndLeases" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestAndDividendIncomeOperating" xlink:to="loc_us-gaap_InterestAndFeeIncomeLoansAndLeases" use="optional" order="6" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_FederalHomeLoanBankDividends" xlink:label="loc_IROQ_FederalHomeLoanBankDividends" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestAndDividendIncomeOperating" xlink:to="loc_IROQ_FederalHomeLoanBankDividends" use="optional" order="7" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestIncomeDepositsWithFinancialInstitutions" xlink:label="loc_us-gaap_InterestIncomeDepositsWithFinancialInstitutions" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestAndDividendIncomeOperating" xlink:to="loc_us-gaap_InterestIncomeDepositsWithFinancialInstitutions" use="optional" order="8" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestIncomeSecuritiesTaxable" xlink:label="loc_us-gaap_InterestIncomeSecuritiesTaxable" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestAndDividendIncomeOperating" xlink:to="loc_us-gaap_InterestIncomeSecuritiesTaxable" use="optional" order="9" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestIncomeSecuritiesTaxExempt" xlink:label="loc_us-gaap_InterestIncomeSecuritiesTaxExempt" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestAndDividendIncomeOperating" xlink:to="loc_us-gaap_InterestIncomeSecuritiesTaxExempt" use="optional" order="10" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestExpense" xlink:label="loc_us-gaap_InterestExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestIncomeExpenseNet" xlink:to="loc_us-gaap_InterestExpense" use="optional" order="11" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestExpenseDeposits" xlink:label="loc_us-gaap_InterestExpenseDeposits" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestExpense" xlink:to="loc_us-gaap_InterestExpenseDeposits" use="optional" order="12" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_InterestExpenseFederalHomeLoanBankAndFederalReserveBankAdvances" xlink:label="loc_IROQ_InterestExpenseFederalHomeLoanBankAndFederalReserveBankAdvances" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestExpense" xlink:to="loc_IROQ_InterestExpenseFederalHomeLoanBankAndFederalReserveBankAdvances" use="optional" order="13" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestExpenseDebt" xlink:label="loc_us-gaap_InterestExpenseDebt" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestExpense" xlink:to="loc_us-gaap_InterestExpenseDebt" use="optional" order="14" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NoninterestIncome" xlink:label="loc_us-gaap_NoninterestIncome" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="loc_us-gaap_NoninterestIncome" use="optional" order="15" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" use="optional" order="16" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InsuranceCommissionsAndFees" xlink:label="loc_us-gaap_InsuranceCommissionsAndFees" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_InsuranceCommissionsAndFees" use="optional" order="17" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_BrokerageCommissionsRevenue" xlink:label="loc_us-gaap_BrokerageCommissionsRevenue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_BrokerageCommissionsRevenue" use="optional" order="18" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FeesAndCommissionsMortgageBankingAndServicing" xlink:label="loc_us-gaap_FeesAndCommissionsMortgageBankingAndServicing" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_FeesAndCommissionsMortgageBankingAndServicing" use="optional" order="19" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainLossOnSaleOfLoansAndLeases" xlink:label="loc_us-gaap_GainLossOnSaleOfLoansAndLeases" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_GainLossOnSaleOfLoansAndLeases" use="optional" order="20" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_BankOwnedLifeInsuranceIncome" xlink:label="loc_us-gaap_BankOwnedLifeInsuranceIncome" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_BankOwnedLifeInsuranceIncome" use="optional" order="21" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NoninterestIncomeOtherOperatingIncome" xlink:label="loc_us-gaap_NoninterestIncomeOtherOperatingIncome" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestIncome" xlink:to="loc_us-gaap_NoninterestIncomeOtherOperatingIncome" use="optional" order="22" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NoninterestExpense" xlink:label="loc_us-gaap_NoninterestExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="loc_us-gaap_NoninterestExpense" use="optional" order="23" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LaborAndRelatedExpense" xlink:label="loc_us-gaap_LaborAndRelatedExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_LaborAndRelatedExpense" use="optional" order="24" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OccupancyNet" xlink:label="loc_us-gaap_OccupancyNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_OccupancyNet" use="optional" order="25" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EquipmentExpense" xlink:label="loc_us-gaap_EquipmentExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_EquipmentExpense" use="optional" order="26" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FederalDepositInsuranceCorporationPremiumExpense" xlink:label="loc_us-gaap_FederalDepositInsuranceCorporationPremiumExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_FederalDepositInsuranceCorporationPremiumExpense" use="optional" order="27" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NoninterestExpensePrintingAndFulfillment" xlink:label="loc_us-gaap_NoninterestExpensePrintingAndFulfillment" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_NoninterestExpensePrintingAndFulfillment" use="optional" order="28" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdvertisingExpense" xlink:label="loc_us-gaap_AdvertisingExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_AdvertisingExpense" use="optional" order="29" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfessionalFees" xlink:label="loc_us-gaap_ProfessionalFees" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_ProfessionalFees" use="optional" order="30" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_SupervisoryExaminations" xlink:label="loc_IROQ_SupervisoryExaminations" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_IROQ_SupervisoryExaminations" use="optional" order="31" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_AuditAndAccountingServices" xlink:label="loc_IROQ_AuditAndAccountingServices" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_IROQ_AuditAndAccountingServices" use="optional" order="32" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_OrganizationalDuesAndSubscriptions" xlink:label="loc_IROQ_OrganizationalDuesAndSubscriptions" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_IROQ_OrganizationalDuesAndSubscriptions" use="optional" order="33" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_InsuranceBondPremiums" xlink:label="loc_IROQ_InsuranceBondPremiums" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_IROQ_InsuranceBondPremiums" use="optional" order="34" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_TelephoneAndPostage" xlink:label="loc_IROQ_TelephoneAndPostage" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_IROQ_TelephoneAndPostage" use="optional" order="35" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherNoninterestExpense" xlink:label="loc_us-gaap_OtherNoninterestExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_OtherNoninterestExpense" use="optional" order="36" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainsLossesOnSalesOfOtherRealEstate" xlink:label="loc_us-gaap_GainsLossesOnSalesOfOtherRealEstate" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NoninterestExpense" xlink:to="loc_us-gaap_GainsLossesOnSalesOfOtherRealEstate" use="optional" order="37" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit" use="optional" order="38" weight="-1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/CondensedConsolidatedStatementsOfComprehensiveIncomeLoss">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTax" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTax" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaap_NetIncomeLoss" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax" xlink:to="loc_us-gaap_NetIncomeLoss" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax" xlink:label="loc_us-gaap_OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="loc_us-gaap_OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax" use="optional" order="3" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" xlink:label="loc_us-gaap_OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="loc_us-gaap_OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" use="optional" order="4" weight="-1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/CondensedConsolidatedStatementsOfCashFlows">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_NetIncreaseDecreaseInDemandDepositsMoneyMarketNowAndSavingsAccounts" xlink:label="loc_IROQ_NetIncreaseDecreaseInDemandDepositsMoneyMarketNowAndSavingsAccounts" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_IROQ_NetIncreaseDecreaseInDemandDepositsMoneyMarketNowAndSavingsAccounts" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInTimeDeposits" xlink:label="loc_us-gaap_IncreaseDecreaseInTimeDeposits" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInTimeDeposits" use="optional" order="3" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInAdvancePaymentsByBorrowersForTaxesAndInsurance" xlink:label="loc_us-gaap_IncreaseDecreaseInAdvancePaymentsByBorrowersForTaxesAndInsurance" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInAdvancePaymentsByBorrowersForTaxesAndInsurance" use="optional" order="4" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromFederalHomeLoanBankBorrowings" xlink:label="loc_us-gaap_ProceedsFromFederalHomeLoanBankBorrowings" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaap_ProceedsFromFederalHomeLoanBankBorrowings" use="optional" order="5" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RepaymentsOfFederalHomeLoanBankBorrowings" xlink:label="loc_us-gaap_RepaymentsOfFederalHomeLoanBankBorrowings" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaap_RepaymentsOfFederalHomeLoanBankBorrowings" use="optional" order="6" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromPaymentsForInSecuritiesSoldUnderAgreementsToRepurchase" xlink:label="loc_us-gaap_ProceedsFromPaymentsForInSecuritiesSoldUnderAgreementsToRepurchase" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaap_ProceedsFromPaymentsForInSecuritiesSoldUnderAgreementsToRepurchase" use="optional" order="7" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromStockOptionsExercised" xlink:label="loc_us-gaap_ProceedsFromStockOptionsExercised" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaap_ProceedsFromStockOptionsExercised" use="optional" order="8" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" use="optional" order="9" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInAccruedInterestReceivableNet" xlink:label="loc_us-gaap_IncreaseDecreaseInAccruedInterestReceivableNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInAccruedInterestReceivableNet" use="optional" order="10" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInOtherOperatingAssets" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingAssets" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingAssets" use="optional" order="11" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInInterestPayableNet" xlink:label="loc_us-gaap_IncreaseDecreaseInInterestPayableNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInInterestPayableNet" use="optional" order="12" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInPostretirementObligations" xlink:label="loc_us-gaap_IncreaseDecreaseInPostretirementObligations" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInPostretirementObligations" use="optional" order="13" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" use="optional" order="14" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Depreciation" xlink:label="loc_us-gaap_Depreciation" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_Depreciation" use="optional" order="15" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProvisionForLoanAndLeaseLosses" xlink:label="loc_us-gaap_ProvisionForLoanAndLeaseLosses" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_ProvisionForLoanAndLeaseLosses" use="optional" order="16" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccretionAmortizationOfDiscountsAndPremiumsInvestments" xlink:label="loc_us-gaap_AccretionAmortizationOfDiscountsAndPremiumsInvestments" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_AccretionAmortizationOfDiscountsAndPremiumsInvestments" use="optional" order="17" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredIncomeTaxExpenseBenefit" xlink:label="loc_us-gaap_DeferredIncomeTaxExpenseBenefit" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_DeferredIncomeTaxExpenseBenefit" use="optional" order="18" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainLossOnSalesOfLoansNet" xlink:label="loc_us-gaap_GainLossOnSalesOfLoansNet" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_GainLossOnSalesOfLoansNet" use="optional" order="19" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainsLossesOnSalesOfOtherRealEstate" xlink:label="loc_us-gaap_GainsLossesOnSalesOfOtherRealEstate" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_GainsLossesOnSalesOfOtherRealEstate" use="optional" order="20" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_BankOwnedLifeInsuranceIncome" xlink:label="loc_us-gaap_BankOwnedLifeInsuranceIncome" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_BankOwnedLifeInsuranceIncome" use="optional" order="21" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EmployeeStockOwnershipPlanESOPCompensationExpense" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPCompensationExpense" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_EmployeeStockOwnershipPlanESOPCompensationExpense" use="optional" order="22" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ShareBasedCompensation" xlink:label="loc_us-gaap_ShareBasedCompensation" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_ShareBasedCompensation" use="optional" order="23" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfitLoss" xlink:label="loc_us-gaap_ProfitLoss" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_ProfitLoss" use="optional" order="24" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToPurchaseLoansHeldForSale" xlink:label="loc_us-gaap_PaymentsToPurchaseLoansHeldForSale" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_PaymentsToPurchaseLoansHeldForSale" use="optional" order="25" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromSaleOfLoansHeldForSale" xlink:label="loc_us-gaap_ProceedsFromSaleOfLoansHeldForSale" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaap_ProceedsFromSaleOfLoansHeldForSale" use="optional" order="26" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" use="optional" order="27" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquireAvailableForSaleSecuritiesDebt" xlink:label="loc_us-gaap_PaymentsToAcquireAvailableForSaleSecuritiesDebt" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_PaymentsToAcquireAvailableForSaleSecuritiesDebt" use="optional" order="28" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromMaturitiesPrepaymentsAndCallsOfAvailableForSaleSecurities" xlink:label="loc_us-gaap_ProceedsFromMaturitiesPrepaymentsAndCallsOfAvailableForSaleSecurities" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_ProceedsFromMaturitiesPrepaymentsAndCallsOfAvailableForSaleSecurities" use="optional" order="29" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsForProceedsFromLoansAndLeases" xlink:label="loc_us-gaap_PaymentsForProceedsFromLoansAndLeases" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_PaymentsForProceedsFromLoansAndLeases" use="optional" order="30" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment" use="optional" order="31" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromSaleOfForeclosedAssets" xlink:label="loc_us-gaap_ProceedsFromSaleOfForeclosedAssets" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_ProceedsFromSaleOfForeclosedAssets" use="optional" order="32" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquireFederalHomeLoanBankStock" xlink:label="loc_us-gaap_PaymentsToAcquireFederalHomeLoanBankStock" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_PaymentsToAcquireFederalHomeLoanBankStock" use="optional" order="33" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromLifeInsurancePolicies" xlink:label="loc_us-gaap_ProceedsFromLifeInsurancePolicies" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_us-gaap_ProceedsFromLifeInsurancePolicies" use="optional" order="34" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_ProceedsFromRedemptionOfFederalHomeLoanBankStock" xlink:label="loc_IROQ_ProceedsFromRedemptionOfFederalHomeLoanBankStock" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="loc_IROQ_ProceedsFromRedemptionOfFederalHomeLoanBankStock" use="optional" order="35" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/StockBasedCompensationSummaryOfEsopSharesDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EmployeeStockOwnershipPlanESOPSharesInESOP" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPSharesInESOP" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EmployeeStockOwnershipPlanESOPNumberOfAllocatedShares" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPNumberOfAllocatedShares" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_EmployeeStockOwnershipPlanESOPSharesInESOP" xlink:to="loc_us-gaap_EmployeeStockOwnershipPlanESOPNumberOfAllocatedShares" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EmployeeStockOwnershipPlanESOPNumberOfCommittedToBeReleasedShares" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPNumberOfCommittedToBeReleasedShares" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_EmployeeStockOwnershipPlanESOPSharesInESOP" xlink:to="loc_us-gaap_EmployeeStockOwnershipPlanESOPNumberOfCommittedToBeReleasedShares" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EmployeeStockOwnershipPlanESOPNumberOfSuspenseShares" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPNumberOfSuspenseShares" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_EmployeeStockOwnershipPlanESOPSharesInESOP" xlink:to="loc_us-gaap_EmployeeStockOwnershipPlanESOPNumberOfSuspenseShares" use="optional" order="3" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/EarningsPerCommonShareEpsFactorsUsedInEarningsPerCommonShareComputationDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:label="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements" xlink:label="loc_us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="loc_us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfSharesEmployeeStockOwnershipPlanSharesNotCommittedToBeReleased" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesEmployeeStockOwnershipPlanSharesNotCommittedToBeReleased" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesEmployeeStockOwnershipPlanSharesNotCommittedToBeReleased" use="optional" order="3" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesIssuedBasic" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesIssuedBasic" use="optional" order="4" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/SecuritiesAmortizedCostAndFairValueOfAvailableForSaleSecuritiesByContractualMaturityDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleDebtSecuritiesAmortizedCostBasis" xlink:label="loc_us-gaap_AvailableForSaleDebtSecuritiesAmortizedCostBasis" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesWithinOneYearAmortizedCost" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesWithinOneYearAmortizedCost" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleDebtSecuritiesAmortizedCostBasis" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesWithinOneYearAmortizedCost" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterOneThroughFiveYearsAmortizedCost" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterOneThroughFiveYearsAmortizedCost" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleDebtSecuritiesAmortizedCostBasis" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterOneThroughFiveYearsAmortizedCost" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterFiveThroughTenYearsAmortizedCost" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterFiveThroughTenYearsAmortizedCost" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleDebtSecuritiesAmortizedCostBasis" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterFiveThroughTenYearsAmortizedCost" use="optional" order="3" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterTenYearsAmortizedCost" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterTenYearsAmortizedCost" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleDebtSecuritiesAmortizedCostBasis" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterTenYearsAmortizedCost" use="optional" order="4" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/SecuritiesAmortizedCostAndFairValueOfAvailableForSaleSecuritiesByContractualMaturityDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtSecuritiesCurrent" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtSecuritiesCurrent" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesWithinOneYearFairValue" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesWithinOneYearFairValue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleSecuritiesDebtSecuritiesCurrent" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesWithinOneYearFairValue" use="optional" order="5" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterOneThroughFiveYearsFairValue" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterOneThroughFiveYearsFairValue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleSecuritiesDebtSecuritiesCurrent" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterOneThroughFiveYearsFairValue" use="optional" order="6" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterFiveThroughTenYearsFairValue" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterFiveThroughTenYearsFairValue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleSecuritiesDebtSecuritiesCurrent" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterFiveThroughTenYearsFairValue" use="optional" order="7" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterTenYearsFairValue" xlink:label="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterTenYearsFairValue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleSecuritiesDebtSecuritiesCurrent" xlink:to="loc_us-gaap_AvailableForSaleSecuritiesDebtMaturitiesAfterTenYearsFairValue" use="optional" order="8" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/SecuritiesAssociationsInvestmentsGrossUnrealizedInvestmentLossesAndFairValueOfAssociationsInvestmentsWithUnrealizedLossesDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtSecuritiesAvailableForSaleUnrealizedLossPosition" xlink:label="loc_us-gaap_DebtSecuritiesAvailableForSaleUnrealizedLossPosition" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPositionLessThan12Months" xlink:label="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPositionLessThan12Months" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_DebtSecuritiesAvailableForSaleUnrealizedLossPosition" xlink:to="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPositionLessThan12Months" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPosition12MonthsOrLonger" xlink:label="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPosition12MonthsOrLonger" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_DebtSecuritiesAvailableForSaleUnrealizedLossPosition" xlink:to="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPosition12MonthsOrLonger" use="optional" order="2" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/SecuritiesAssociationsInvestmentsGrossUnrealizedInvestmentLossesAndFairValueOfAssociationsInvestmentsWithUnrealizedLossesDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AvailableForSaleDebtSecuritiesAccumulatedGrossUnrealizedLossBeforeTax" xlink:label="loc_us-gaap_AvailableForSaleDebtSecuritiesAccumulatedGrossUnrealizedLossBeforeTax" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPositionLessThan12MonthsAccumulatedLoss" xlink:label="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPositionLessThan12MonthsAccumulatedLoss" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleDebtSecuritiesAccumulatedGrossUnrealizedLossBeforeTax" xlink:to="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPositionLessThan12MonthsAccumulatedLoss" use="optional" order="3" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPosition12MonthsOrLongerAccumulatedLoss" xlink:label="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPosition12MonthsOrLongerAccumulatedLoss" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AvailableForSaleDebtSecuritiesAccumulatedGrossUnrealizedLossBeforeTax" xlink:to="loc_us-gaap_DebtSecuritiesAvailableForSaleContinuousUnrealizedLossPosition12MonthsOrLongerAccumulatedLoss" use="optional" order="4" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/LoansAndAllowanceForCreditLossesAssociationsLoanPortfolioAgingAnalysisDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LoansAndLeasesReceivableGrossCarryingAmount" xlink:label="loc_us-gaap_LoansAndLeasesReceivableGrossCarryingAmount" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_FinancingReceivableRecordedInvestmentsPastDue" xlink:label="loc_IROQ_FinancingReceivableRecordedInvestmentsPastDue" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LoansAndLeasesReceivableGrossCarryingAmount" xlink:to="loc_IROQ_FinancingReceivableRecordedInvestmentsPastDue" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_FinancingReceivableRecordedInvestmentsCurrent" xlink:label="loc_IROQ_FinancingReceivableRecordedInvestmentsCurrent" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LoansAndLeasesReceivableGrossCarryingAmount" xlink:to="loc_IROQ_FinancingReceivableRecordedInvestmentsCurrent" use="optional" order="2" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/ChangesInAccumulatedOtherComprehensiveIncomeAociByComponentAmountsReclassifiedFromAccumulatedOtherComprehensiveIncomeDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeLossFromContinuingOperationsIncludingPortionAttributableToNoncontrollingInterest" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsIncludingPortionAttributableToNoncontrollingInterest" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtSecuritiesAvailableForSaleRealizedGainLossExcludingOtherThanTemporaryImpairment" xlink:label="loc_us-gaap_DebtSecuritiesAvailableForSaleRealizedGainLossExcludingOtherThanTemporaryImpairment" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsIncludingPortionAttributableToNoncontrollingInterest" xlink:to="loc_us-gaap_DebtSecuritiesAvailableForSaleRealizedGainLossExcludingOtherThanTemporaryImpairment" use="optional" order="1" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/IncomeTaxesReconciliationOfIncomeTaxExpenseAtTheStatutoryRateDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate" xlink:label="loc_us-gaap_IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeTaxExpenseBenefit" xlink:to="loc_us-gaap_IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxReconciliationTaxExemptIncome" xlink:label="loc_us-gaap_IncomeTaxReconciliationTaxExemptIncome" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeTaxExpenseBenefit" xlink:to="loc_us-gaap_IncomeTaxReconciliationTaxExemptIncome" use="optional" order="2" weight="-1" />
<loc xlink:type="locator" xlink:href="iroq-20220930.xsd#iroq_IncomeTaxReconciliationCashSurrenderValueLifeInsurance" xlink:label="loc_IROQ_IncomeTaxReconciliationCashSurrenderValueLifeInsurance" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeTaxExpenseBenefit" xlink:to="loc_IROQ_IncomeTaxReconciliationCashSurrenderValueLifeInsurance" use="optional" order="3" weight="-1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxReconciliationStateAndLocalIncomeTaxes" xlink:label="loc_us-gaap_IncomeTaxReconciliationStateAndLocalIncomeTaxes" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeTaxExpenseBenefit" xlink:to="loc_us-gaap_IncomeTaxReconciliationStateAndLocalIncomeTaxes" use="optional" order="4" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxReconciliationOtherAdjustments" xlink:label="loc_us-gaap_IncomeTaxReconciliationOtherAdjustments" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeTaxExpenseBenefit" xlink:to="loc_us-gaap_IncomeTaxReconciliationOtherAdjustments" use="optional" order="5" weight="1" />
</calculationLink>
<calculationLink xlink:type="extended" xlink:role="http://www.iroquoisfed.com/role/LoansAndAllowanceForCreditLossesCreditRiskProfileOfAssociationsLoanPortfolioBasedOnRiskRatingCategoryAndYearOfOriginationDetail">
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestYearOneOriginatedCurrentFiscalYear" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearOneOriginatedCurrentFiscalYear" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:to="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearOneOriginatedCurrentFiscalYear" use="optional" order="1" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestYearTwoOriginatedFiscalYearBeforeCurrentFiscalYear" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearTwoOriginatedFiscalYearBeforeCurrentFiscalYear" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:to="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearTwoOriginatedFiscalYearBeforeCurrentFiscalYear" use="optional" order="2" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestYearThreeOriginatedTwoYearsBeforeCurrentFiscalYear" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearThreeOriginatedTwoYearsBeforeCurrentFiscalYear" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:to="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearThreeOriginatedTwoYearsBeforeCurrentFiscalYear" use="optional" order="3" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestYearFourOriginatedThreeYearsBeforeCurrentFiscalYear" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearFourOriginatedThreeYearsBeforeCurrentFiscalYear" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:to="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearFourOriginatedThreeYearsBeforeCurrentFiscalYear" use="optional" order="4" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestYearFiveOriginatedFourYearsBeforeCurrentFiscalYear" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearFiveOriginatedFourYearsBeforeCurrentFiscalYear" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:to="loc_us-gaap_FinancingReceivableExcludingAccruedInterestYearFiveOriginatedFourYearsBeforeCurrentFiscalYear" use="optional" order="5" weight="1" />
<loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FinancingReceivableExcludingAccruedInterestOriginatedMoreThanFiveYearsBeforeCurrentFiscalYear" xlink:label="loc_us-gaap_FinancingReceivableExcludingAccruedInterestOriginatedMoreThanFiveYearsBeforeCurrentFiscalYear" />
<calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FinancingReceivableExcludingAccruedInterestBeforeAllowanceForCreditLoss" xlink:to="loc_us-gaap_FinancingReceivableExcludingAccruedInterestOriginatedMoreThanFiveYearsBeforeCurrentFiscalYear" use="optional" order="6" weight="1" />
</calculationLink>
</linkbase>
